org.apache.lucene.luke.app.desktop.components

## Interface DocumentsTabOperator

All Superinterfaces:
  ComponentOperatorRegistry.ComponentOperator

All Known Implementing Classes:
  DocumentsPanelProvider

    public interface DocumentsTabOperator
    extends ComponentOperatorRegistry.ComponentOperator

Operator for the Documents tab

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `browseTerm(String field, String term)`
`void` `displayDoc(int donid)`
`void` `displayLatestDoc()`
`void` `seekNextTerm()`
`void` `showFirstTermDoc()`

### Method Detail

#### browseTerm

    void browseTerm(String field,
                    String term)

#### displayLatestDoc

    void displayLatestDoc()

#### displayDoc

    void displayDoc(int donid)

#### seekNextTerm

    void seekNextTerm()

#### showFirstTermDoc

    void showFirstTermDoc()